InternalFrameFocusTraversalPolicy (Java Platform SE 8 )
Keywords: javax.swing.InternalFrameFocusTraversalPolicy class
Date: 2026-04-17

javax.swing

## Class InternalFrameFocusTraversalPolicy

- java.lang.Object
- - java.awt.FocusTraversalPolicy
  - - javax.swing.InternalFrameFocusTraversalPolicy

- Direct Known Subclasses:
    SortingFocusTraversalPolicy

      public abstract class InternalFrameFocusTraversalPolicy
      extends FocusTraversalPolicy

  A FocusTraversalPolicy which can optionally provide an algorithm for determining a JInternalFrame's initial Component. The initial Component is the first to receive focus when the JInternalFrame is first selected. By default, this is the same as the JInternalFrame's default Component to focus.
  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalFrameFocusTraversalPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getInitialComponent(JInternalFrame frame)` Returns the Component that should receive the focus when a JInternalFrame is selected for the first time.

    - ### Methods inherited from class java.awt.FocusTraversalPolicy

      `getComponentAfter, getComponentBefore, getDefaultComponent, getFirstComponent, getInitialComponent, getLastComponent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalFrameFocusTraversalPolicy

          public InternalFrameFocusTraversalPolicy()

  - ### Method Detail

    - #### getInitialComponent

          public Component getInitialComponent(JInternalFrame frame)

      Returns the Component that should receive the focus when a JInternalFrame is selected for the first time. Once the JInternalFrame has been selected by a call to `setSelected(true)`, the initial Component will not be used again. Instead, if the JInternalFrame loses and subsequently regains selection, or is made invisible or undisplayable and subsequently made visible and displayable, the JInternalFrame's most recently focused Component will become the focus owner. The default implementation of this method returns the JInternalFrame's default Component to focus.
      Parameters:
        `frame` - the JInternalFrame whose initial Component is to be returned
      Returns:
        the Component that should receive the focus when frame is selected for the first time, or null if no suitable Component can be found
      Throws:
        `IllegalArgumentException` - if window is null
      See Also:
        `JInternalFrame.getMostRecentFocusOwner()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.